Bug 1835 - [UPDATE REQUEST] python-pexpect
: [UPDATE REQUEST] python-pexpect
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-26 13:32 MSK by Denis Silakov
Modified: 2013-03-28 12:57 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-03-26 13:32:49 MSK
Currently we use python-pexpect-2.4 which have troubles with non-ascii symbols and soesn't support python3.

There is a newer version 2.5 which is unicode-aware and compatible with Python3.
Comment 1 Denis Silakov 2013-03-26 13:34:55 MSK
Advisory:

python-pexpect was updated to use pexpect-u-2.5 which is Unicode-aware and is compatible with Python3.

Build lists:
https://abf.rosalinux.ru/build_lists/1042590
https://abf.rosalinux.ru/build_lists/1042591
Comment 2 Vladimir Potapov 2013-03-27 18:35:48 MSK
python3-pexpect-2.5-1-rosa2012.1
python-pexpect-2.5-1-rosa2012.1
******************** Advisory ******************
python-pexpect was updated to use pexpect-u-2.5 which is Unicode-aware and is compatible with Python3.
************************************************
QA Verified